> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nivara.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Signup Form

# Signup Form

Endpoint for submitting user registration information.

## Request Body

| Field             | Type   | Required | Description           |
| ----------------- | ------ | -------- | --------------------- |
| email             | string | Yes      | User's email address  |
| name              | string | Yes      | User's full name      |
| password          | string | Yes      | User's password       |
| confirm\_password | string | Yes      | Password confirmation |

## Responses

| Status | Description       | Content Type     |
| ------ | ----------------- | ---------------- |
| 200    | Successful signup | text/html        |
| 422    | Validation Error  | application/json |


## OpenAPI

````yaml POST /signup
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /signup:
    post:
      summary: Signup Form
      operationId: signup_form_signup_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_signup_form_signup_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            text/html:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_signup_form_signup_post:
      properties:
        email:
          type: string
          title: Email
        name:
          type: string
          title: Name
        password:
          type: string
          title: Password
        confirm_password:
          type: string
          title: Confirm Password
      type: object
      required:
        - email
        - name
        - password
        - confirm_password
      title: Body_signup_form_signup_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````